backup_status(8)

NAME
backup status - Reports a Tape Coordinator's status

SYNOPSIS
backup status << [-portoffset <TC port offset] >>> [-localauth]
    << [-cell <cell name] >>> [-help]

backup st << [-p <TC port offset] >>> [-l] << [-c <cell name] >>>
    [-h]

DESCRIPTION
The backup status command displays which operation, if any, the indicated Tape Coordinator is currently executing.

OPTIONS

-portoffset <TC port offset>
    Specifies the port offset number of the Tape Coordinator for which to report the status.

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The backup command interpreter presents it to the Backup Server, Volume Server and VL Server during mutual authentication. Do not combine this flag with the -cell argument. For more details, see the backup(8) manpage.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the backup(8) manpage.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The following message indicates that the Tape Coordinator is not currently performing an operation:

   Tape coordinator is idle
Otherwise, the output includes a message of the following format for each running or pending operation:

   Task <task_ID>:  <operation>:   <status>
where

<task_ID>
    Is a task identification number assigned by the Tape Coordinator. It begins with the Tape Coordinator's port offset number.

<operation>
    Identifies the operation the Tape Coordinator is performing, which is initiated by the indicated command:

Dump
    The backup dump command.

Restore
    The backup diskrestore, backup volrestore, or backup volsetrestore commands.

Labeltape
    The backup labeltape command.

Scantape
    The backup scantape command.

SaveDb
    The backup savedb command.

RestoreDb
    The backup restoredb command.

<status>
    Indicates the job's current status in one of the following messages.

number Kbytes transferred, volume volume_name
    For a running dump operation, indicates the number of kilobytes copied to tape or a backup data file so far, and the volume currently being dumped.

number Kbytes, restore.volume
    For a running restore operation, indicates the number of kilobytes copied into AFS from a tape or a backup data file so far.

[abort requested]
    The backup kill command was issued, but the termination signal has yet to reach the Tape Coordinator.

[abort sent]
    The operation is canceled by the backup kill command. Once the Backup System removes an operation from the queue or stops it from running, it no longer appears at all in the output from the command.

[butc contact lost]
    The backup command interpreter cannot reach the Tape Coordinator. The message can mean either that the Tape Coordinator handling the operation was terminated or failed while the operation was running, or that the connection to the Tape Coordinator timed out.

[done]
    The Tape Coordinator has finished the operation.

[drive wait]
    The operation is waiting for the specified tape drive to become free.

[operator wait]
    The Tape Coordinator is waiting for the backup operator to insert a tape in the drive.

If the Tape Coordinator is communicating with an XBSA server (a third-party backup utility that implements the Open Group's Backup Service API [XBSA]), the following message appears last in the output:

   <XBSA_program> Tape coordinator
where <XBSA_program> is the name of the XBSA-compliant program.

EXAMPLES
The following example shows that the Tape Coordinator with port offset 4 has so far dumped about 1.5 MB of data for the current dump operation, and is currently dumping the volume named user.pat.backup:

   % backup status -portoffset 4
   Task 4001:  Dump:   1520 Kbytes transferred,  volume user.pat.backup

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on every machine where the Backup Server is running, or must be logged onto a server machine as the local superuser root if the -localauth flag is included.

SEE ALSO
the backup(8) manpage, the butc(8) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.